C
C
C	THIS SUBROUTINE IS CALLED TO SEE IF A PLANET IS GOING
C	TO FIRE AT YOU OR NOT. ,AND IF HE DOES FIRE IT WILL
C	DETERMINE HOW MUCH HE SHOOTS.
C
C
C
	SUBROUTINE PLNT(SHLDS,IX,IY,I,J,QERT,QERT1,I1,I2,QERT2)
	CALL RANDU(I1,I2,X)
	IF (X .GT. .3) RETURN

	IF (QERT2 .EQ. 6 .OR. QERT2 .EQ. 7) THEN
		DUM=DUM
	ELSE
		RETURN
	ENDIF
C
	IF (QERT .EQ. 7) RETURN
	IF (QERT1 .LT. 250) RETURN
	CALL RANDU(I1,I2,X)
	HIT=QERT1*X
	DUM=((IX-I)**2+(IY-J)**2)
	IF (SQRT(DUM) .GT. 8) RETURN
	HIT=(HIT/SQRT(DUM))/12
	IF (HIT .GT. 28.8756) HIT=28.8756
	CALL LNCR(21)
	CALL CC(21,1)
	PRINT 2101,HIT,I,J
 2101	FORMAT('+',3X,'** ',F8.4,' UNIT HIT FROM PLANET AT SECTOR <'
     1		,I3,',',I3,'>')
	SHLDS=SHLDS-HIT
	RETURN
	END
